OpenVDB 13.0.0

Loading...
Searching...
No Matches
Functions.h File Reference

Contains the function objects that define the functions used in compute function generation, to be inserted into the FunctionRegistry. These define general purpose functions such as math functions. More...

`#include "FunctionRegistry.h"`
`#include "../compiler/CompilerOptions.h"`
`#include <openvdb/version.h>`

Go to the source code of this file.

## Namespaces
namespace | openvdb
namespace | openvdb::v13_0
namespace | openvdb::v13_0::ax
namespace | openvdb::v13_0::ax::codegen

## Functions
FunctionRegistry::UniquePtr | createDefaultRegistry (const FunctionOptions *op=nullptr)
| Creates a registry with the default set of registered functions including math functions, point functions and volume functions.
OPENVDB_AX_API void | insertStandardFunctions (FunctionRegistry &reg, const FunctionOptions *options=nullptr)
| Populates a function registry with all available "standard" AX library function. This primarily consists of all mathematical ops on AX containers (scalars, vectors, matrices) and other stl built-ins.
OPENVDB_AX_API void | insertVDBPointFunctions (FunctionRegistry &reg, const FunctionOptions *options=nullptr)
| Populates a function registry with all available OpenVDB Point AX library function.
OPENVDB_AX_API void | insertVDBVolumeFunctions (FunctionRegistry &reg, const FunctionOptions *options=nullptr)
| Populates a function registry with all available OpenVDB Volume AX library function.

## Detailed Description

Contains the function objects that define the functions used in compute function generation, to be inserted into the FunctionRegistry. These define general purpose functions such as math functions.

Authors
  Nick Avramoussis, Richard Jones, Francisco Gochez